//
//  NetworkSession.swift
//  punchnet
//
//  Created by 安礼成 on 2026/4/17.
//
import Foundation

// 登陆后的网络会话信息
struct NetworkSession: Codable {
    let accessToken: String
    let username: String
    let userType: String
    let audit: Int
    let networkId: Int
    let networkName: String
    let networkDomain: String
    
    // TODO
    var networkUrl: String {
        return "https://www.test.cn/id=\(self.networkId)"
    }
    
    enum CodingKeys: String, CodingKey {
        case accessToken = "access_token"
        case username
        case userType = "user_type"
        case audit
        case networkId = "network_id"
        case networkName = "network_name"
        case networkDomain = "network_domain"
    }
    
}
